#
# spec file for package finalhe
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define _lto_cflags %{nil}
Name:           finalhe
Version:        1.92
Release:        1699.1.pm.2
Summary:        Vita exploiting toolset
License:        GPL-3.0-or-later
URL:            https://github.com/soarqin/finalhe
Source:         https://github.com/soarqin/finalhe/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  libQt5Network-devel
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(zlib)
ExcludeArch:    %arm aarch64

%description
This all-in-one program sets up h-encore for your PS Vita or PS TV

%prep
%autosetup

%build
%qmake5
%make_build

%install
install -D -m0755 src/FinalHE %{buildroot}/%{_bindir}/FinalHE

%files
%license COPYING COPYING.Qcma COPYING.Qt COPYING.Qt.LGPLv21
%doc CHANGES README.md CREDITS.md
%{_bindir}/FinalHE

%changelog
* Tue Apr 21 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 1.92
  * Added support for 3.73 with existing h-encore^2
  version 1.91:
  * Added support for 3.72 with updated h-encore²
  version 1.9:
  * Support 3.69-3.71 with h-encore²
  * Fixed a bug which causes memcore not working on 3.61
  version 1.81:
  * Remove deflate from h-encore to get payload loading slight
    faster
  * Support 3.61/3.67 now, you won't be asked to update on these
    firmwares (#46)
  * Reduced C2-12821-1 error (#47)
  * Fixed mismatch firmware versions display on firmware update
  version 1.8:
  * Support for memecore(h-encore 2.0 for VITA 3.60 support),
    compiled from [my fork](https://github.com/soarqin/h-encore),
    thanks to [CelesteBlue-dev](https://github.com/CelesteBlue-dev)
    for his port
  * Can trim h-encore app to only 6.5MB now, thanks to
    [KuromeSan](https://github.com/KuromeSan)
  * Fixed a bug that button is reset to be clickable when
    another info sync from PSVITA is received
  * Fixed French language
  version 1.71:
  * Updated official fix for h-encore 2.0
  version 1.7:
  * Updated h-encore to 2.0
  version 1.6:
  * Calculate Backup key from AID offline (#43), thanks to
    [KuromeSan's
    code](https://bitbucket.org/SilicaAndPina/cmakeyderiv)
  version 1.5:
  * New feature: Check firmware version and support firmware
    update 3.65/3.68 through USB connection
  * New feature: build prepared applications for transferring
    through Content Manager
  * Added translation: Russian
- Drop finalhe.patch (no longer necessary)
- Drop Group tag
- Switch build to qmake
- Spec cleanup
* Mon Jul 30 2018 p.seiler@linuxmail.org
- initial commit of version 1.4
